locked
How to get work the push notifications hub on UWP? [C#, UWP] RRS feed

  • Question

  • I would like to use azure push notifications, but I can't get it work it writes me when i try to install Microsoft.Azure.NotificationHubs nuget package:
     

    > Restoring packages for 'App1'. Restoring packages for
    > C:\Users\János\OneDrive\Dokumentumok\Visual Studio
    > 2015\Projects\App1\App1\project.json...   GET
    > https://api.nuget.org/v3-flatcontainer/microsoft.windowsazure.configurationmanager/index.json
    > OK
    > https://api.nuget.org/v3-flatcontainer/microsoft.windowsazure.configurationmanager/index.json
    > 498ms Microsoft.Azure.NotificationHubs 1.0.6 is not compatible with
    > UAP,Version=v10.0. Microsoft.WindowsAzure.ConfigurationManager 1.7.0
    > is not compatible with UAP,Version=v10.0. Some packages are not
    > compatible with UAP,Version=v10.0. Microsoft.Azure.NotificationHubs
    > 1.0.6 is not compatible with UAP,Version=v10.0 (win10-arm). Microsoft.WindowsAzure.ConfigurationManager 1.7.0 is not compatible
    > with UAP,Version=v10.0 (win10-arm). Some packages are not compatible
    > with UAP,Version=v10.0 (win10-arm). Microsoft.Azure.NotificationHubs
    > 1.0.6 is not compatible with UAP,Version=v10.0 (win10-arm-aot). Microsoft.WindowsAzure.ConfigurationManager 1.7.0 is not compatible
    > with UAP,Version=v10.0 (win10-arm-aot). Some packages are not
    > compatible with UAP,Version=v10.0 (win10-arm-aot).
    > Microsoft.Azure.NotificationHubs 1.0.6 is not compatible with
    > UAP,Version=v10.0 (win10-x64).
    > Microsoft.WindowsAzure.ConfigurationManager 1.7.0 is not compatible
    > with UAP,Version=v10.0 (win10-x64). Some packages are not compatible
    > with UAP,Version=v10.0 (win10-x64). Microsoft.Azure.NotificationHubs
    > 1.0.6 is not compatible with UAP,Version=v10.0 (win10-x64-aot). Microsoft.WindowsAzure.ConfigurationManager 1.7.0 is not compatible
    > with UAP,Version=v10.0 (win10-x64-aot). Some packages are not
    > compatible with UAP,Version=v10.0 (win10-x64-aot).
    > Microsoft.Azure.NotificationHubs 1.0.6 is not compatible with
    > UAP,Version=v10.0 (win10-x86).
    > Microsoft.WindowsAzure.ConfigurationManager 1.7.0 is not compatible
    > with UAP,Version=v10.0 (win10-x86). Some packages are not compatible
    > with UAP,Version=v10.0 (win10-x86). Microsoft.Azure.NotificationHubs
    > 1.0.6 is not compatible with UAP,Version=v10.0 (win10-x86-aot). Microsoft.WindowsAzure.ConfigurationManager 1.7.0 is not compatible
    > with UAP,Version=v10.0 (win10-x86-aot). Some packages are not
    > compatible with UAP,Version=v10.0 (win10-x86-aot). Package restore
    > failed for 'App1'. Package restore failed. Rolling back package
    > changes for 'App1'.
    > ========== Finished ==========


    I have followed this tutorial:
    https://azure.microsoft.com/hu-hu/documentation/articles/app-service-mobile-windows-store-dotnet-get-started-push/

    But it seems it doesnt work. Does anyone know the solution?
    Monday, August 1, 2016 6:24 AM

All replies